Generate KYC link
curl --request POST \
--url https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link \
--header 'API-KEY: <api-key>' \
--header 'Api-Version: <api-version>'import requests
url = "https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link"
headers = {
"Api-Version": "<api-version>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Version': '<api-version>', 'API-KEY': '<api-key>'}
};
fetch('https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"API-KEY: <api-key>",
"Api-Version: <api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Api-Version", "<api-version>")
req.Header.Add("API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link")
.header("Api-Version", "<api-version>")
.header("API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Version"] = '<api-version>'
request["API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"url": "https://in.sumsub.com/websdk/p/sbx_example",
"userId": "cus_PWEhqXkPKpWXiFd96jGq",
"ttlSeconds": 3600,
"expiresAt": "2026-09-09T18:36:03.123456Z"
}{
"code": 401,
"message": "Invalid API key",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "ERRCORE_1004",
"message": "Invalid API key",
"field": null
}
]
}{
"code": 400,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"code": 404,
"message": "User with ID 'cus_PWEhqXkPKpWXiFd96jGq' not found",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "ERRREF_1001",
"message": "User with ID 'cus_PWEhqXkPKpWXiFd96jGq' not found",
"field": "userId"
}
]
}{
"code": 409,
"message": "Customer already verified",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "ERRCUS_1603",
"message": "This customer's KYC is already completed; a new verification link is not needed",
"field": null
}
]
}Generate KYC link
Returns a hosted verification URL the customer can open in a browser — an alternative to uploading documents through the API. The response says how long the link lasts.
POST
/
api
/
v0
/
customer
/
{userId}
/
kyc-link
Generate KYC link
curl --request POST \
--url https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link \
--header 'API-KEY: <api-key>' \
--header 'Api-Version: <api-version>'import requests
url = "https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link"
headers = {
"Api-Version": "<api-version>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Version': '<api-version>', 'API-KEY': '<api-key>'}
};
fetch('https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"API-KEY: <api-key>",
"Api-Version: <api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Api-Version", "<api-version>")
req.Header.Add("API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link")
.header("Api-Version", "<api-version>")
.header("API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.endl.io/api/v0/customer/{userId}/kyc-link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Version"] = '<api-version>'
request["API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"url": "https://in.sumsub.com/websdk/p/sbx_example",
"userId": "cus_PWEhqXkPKpWXiFd96jGq",
"ttlSeconds": 3600,
"expiresAt": "2026-09-09T18:36:03.123456Z"
}{
"code": 401,
"message": "Invalid API key",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "ERRCORE_1004",
"message": "Invalid API key",
"field": null
}
]
}{
"code": 400,
"message": "<string>",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}{
"code": 404,
"message": "User with ID 'cus_PWEhqXkPKpWXiFd96jGq' not found",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "ERRREF_1001",
"message": "User with ID 'cus_PWEhqXkPKpWXiFd96jGq' not found",
"field": "userId"
}
]
}{
"code": 409,
"message": "Customer already verified",
"status": "ERROR",
"data": null,
"errors": [
{
"code": "ERRCUS_1603",
"message": "This customer's KYC is already completed; a new verification link is not needed",
"field": null
}
]
}Authorizations
Your partner API key. The key must carry the customers permission.
Headers
The API version this request targets. Required on every /api/v0/* call. Format YYYY-MM.<release>; 2026-09.1 is the latest. The version that served the request is echoed back on the response. Missing, malformed or unsupported values are rejected with 400.
Pattern:
^\d{4}-\d{2}\.\d+$Path Parameters
The customer reference id returned by create — a cus_-prefixed string, not a UUID.